Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 607328 - RFE: support storage volume backing files
RFE: support storage volume backing files
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 16:09 EDT by Eric Blake
Modified: 2013-09-29 10:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-29 10:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2010-06-23 16:09:35 EDT
Description of problem:
I tried to use virt-manager as a GUI front-end to creating a qcow2 file backed by an existing raw disk image.  However, it appears the GUI is only willing to create a non-chained qcow2 image.


Version-Release number of selected component (if applicable):
virt-manager-0.8.4-1.fc13.noarch
libvirt-0.7.7-4.fc13.x86_64


How reproducible:
Always

Steps to Reproduce:
1. start virt-manager
2. under Edit,Host Details, select the Storage tab
3. Click New Volume
4. Change format to qcow2
5. Try to specify a backing file

  
Actual results:
No gui way to expose the <backingStore> xml element of <volume>


Expected results:
Ability to create a qcow2 file that uses another file as backing store (and optionally specify the expected format of that backing file) via the gui, since it would be a lot easier than writing the xml by hand and passing it through 'virsh create' on the command line

Additional info:
See also the recent libvirt patches to add 'vol-create-as --backing-vol xyz --backing-vol-format raw ...', which will make this task easier on the command line with virsh 0.8.2:
https://www.redhat.com/archives/libvir-list/2010-June/msg00176.html
Comment 1 Bug Zapper 2011-06-01 11:46:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 13:26:01 EDT
Still relevant, moving to rawhide
Comment 3 Cole Robinson 2012-01-18 11:53:08 EST
Moving to upstream tracker
Comment 4 Cole Robinson 2013-09-29 10:54:42 EDT
Upstream now, create vol wizard now has UI for specifying backing store

Note You need to log in before you can comment on or make changes to this bug.